mscorlib 2.0.0.0 4.0.0.0 System.Object System.Security.Policy.IConstantMembershipCondition System.Security.Policy.IMembershipCondition System.Runtime.InteropServices.ComVisible(true)

All assemblies installed in the global assembly cache are granted the FullTrust permission set.

Determines whether an assembly belongs to a code group by testing its global assembly cache membership. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0

  Code satisfies this membership condition if it is installed in the global assembly cache.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This membership condition tests evidence.

  Indicates whether the specified evidence satisfies the membership condition.

  true if the specified evidence satisfies the membership condition; otherwise, false.

  The against which to make the test.
- Method
  2.0.0.0
  4.0.0.0
  System.Security.Policy.IMembershipCondition

  A copy of a membership condition is identical to the original membership condition.

  Creates an equivalent copy of the membership condition.

  A new object.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  There are no degrees of global assembly cache membership. An assembly is either in the cache or it is not. If the object identified by is a , then the objects being compared are equal. This method returns false only if is null or if is not a .

  Indicates whether the current object is equivalent to the specified object.

  true if is a ; otherwise, false.

  The object to compare with the current object.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  The method reconstructs a from an XML encoding defined by the class. Use the method to XML-encode the including state information.

  Uses the specified XML encoding to reconstruct a security object.

  The that contains the XML encoding to use to reconstruct the security object.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The policy level context is provided for resolution of named permission set references. For example, code groups use policy level to find named permission sets.

  Uses the specified XML encoding to reconstruct a security object, using the specified policy level context.

  The that contains the XML encoding to use to reconstruct the security object. The context for resolving references.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32

  The method returns 0 (zero) because objects have no properties to distinguish one from another.

  Gets a hash code for the current membership condition.

  0 (zero).

- Method
  2.0.0.0
  4.0.0.0
  System.String

  The string representation for is "GAC".

  Returns a string representation of the membership condition.

  A string representation of the membership condition.

- Method
  2.0.0.0
  4.0.0.0
  System.Security.SecurityElement

  Use the method to restore the state information from a .

  Creates an XML encoding of the security object and its current state.

  A that contains the XML encoding of the security object, including any state information.

- Method
  2.0.0.0
  4.0.0.0
  System.Security.SecurityElement ``

  The policy level context is provided for resolution of named permission set references. For example, code groups use policy level to find named permission sets.

  Creates an XML encoding of the security object and its current state, using the specified policy level context.

  A that contains the XML encoding of the security object, including any state information.

  The context for resolving references.